Page MenuHomeFreeBSD

databases/leofs: move to lang/erlang as dependency (OTP21) so we can deprecate lang/erlang-runtime20 which is not in support anymore
ClosedPublic

Authored by dch on May 28 2019, 8:26 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 17 2024, 9:23 PM
Unknown Object (File)
May 17 2024, 2:39 AM
Unknown Object (File)
May 5 2024, 12:41 PM
Unknown Object (File)
May 1 2024, 12:35 AM
Unknown Object (File)
Apr 20 2024, 3:20 PM
Unknown Object (File)
Apr 10 2024, 5:16 AM
Unknown Object (File)
Mar 29 2024, 7:03 AM
Unknown Object (File)
Jan 30 2024, 1:06 PM
Subscribers
None

Details

Test Plan

poudriere 12.0R amd64 & 13.0-CURRENT amd64 OK, waiting on the
rest

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I would suggest to use lang/erlang-runtime21 so that lang/erlang stays free for upgrades as the "user facing" Erlang, just in case..

bump PORTREVISION to force a rebuild and therefore ensure everybody gets
a warning message

I don't think users will get a warning when installing the package. I also don't think there is any change in the package, so bumping PORTREVISION is probably not necessary. @olgeni's suggestion?

This revision is now accepted and ready to land.May 29 2019, 7:42 AM

I still think it's worth bumping the PORTREVISION to ensure everything
is rebuilt correctly. Erlang is picky about this, as explicit versions
are bound into the runtime configuration.

The original intent was to get this change sorted out before 2019Q3
starts which maximises time for users to get their stuff sorted.

In D20450#449537, @dch wrote:

I still think it's worth bumping the PORTREVISION to ensure everything is rebuilt correctly.

Yup - should definitely be bumped if moving to the -runtime version.

I was referring to the PORTREVISION bump on lang/erlang-runtime.

Did I miss that you addressed @olgeni's suggestion? I would suggest to use lang/erlang-runtime21 so that lang/erlang stays free for upgrades as the "user facing" Erlang, just in case..

jrm requested changes to this revision.Jun 27 2019, 9:05 AM

Ooops.. I did not mean to accept this before addressing @olgeni's suggestion about the dependency.

This revision now requires changes to proceed.Jun 27 2019, 9:05 AM

databases/leofs: use erlang-runtime21 per review

Port builds fine for me, and I wombled my way through node startup without issue, but couldn't get auth working. I think the port is working fine, I just lack the leofs expertise. Mikolaj can you check it please before we push out the changes?

Looks like the port could do with a short pkg-message to explain how to set up your first node?

@dch the patch works for me.

I was creating a user for test with the commands:

leofs-adm create-user ${user} ''
leofs-adm update-user-role ${user} 9

And was using access-key-id and secret-access-key (outputed when leofs-adm create-user was run) in a s3 tool (s3cmd in my case).

This revision is now accepted and ready to land.Nov 26 2019, 1:09 PM
This revision was automatically updated to reflect the committed changes.